﻿<?xml version="1.0" encoding="utf-8"?>
<Report xmlns="http://schemas.microsoft.com/sqlserver/reporting/2016/01/reportdefinition" xmlns:rd="http://schemas.microsoft.com/SQLServer/reporting/reportdesigner">
  <AutoRefresh>0</AutoRefresh>
  <DataSources>
    <DataSource Name="DataSource">
      <ConnectionProperties>
        <DataProvider>SQL</DataProvider>
        <ConnectString />
      </ConnectionProperties>
      <rd:SecurityType>None</rd:SecurityType>
      <rd:DataSourceID>5951c8cc-e6e3-4c0c-b1f1-fe6b4911576a</rd:DataSourceID>
    </DataSource>
  </DataSources>
  <DataSets>
    <DataSet Name="DataSet_Result">
      <Query>
        <DataSourceName>DataSource</DataSourceName>
        <CommandText />
      </Query>
      <Fields>
        <Field Name="No_PSRCabeceraGenericaVentasC01">
          <DataField>No_PSRCabeceraGenericaVentasC01</DataField>
        </Field>
        <Field Name="SelltoCustomerNo_PSRCabeceraGenericaVentasC01">
          <DataField>SelltoCustomerNo_PSRCabeceraGenericaVentasC01</DataField>
        </Field>
        <Field Name="PostingDate_PSRCabeceraGenericaVentasC01">
          <DataField>PostingDate_PSRCabeceraGenericaVentasC01</DataField>
        </Field>
        <Field Name="xcaption">
          <DataField>xcaption</DataField>
        </Field>
        <Field Name="No_PSRLinGenericaVentasC01">
          <DataField>No_PSRLinGenericaVentasC01</DataField>
        </Field>
        <Field Name="Description_PSRLinGenericaVentasC01">
          <DataField>Description_PSRLinGenericaVentasC01</DataField>
        </Field>
        <Field Name="Quantity_PSRLinGenericaVentasC01">
          <DataField>Quantity_PSRLinGenericaVentasC01</DataField>
        </Field>
        <Field Name="Quantity_PSRLinGenericaVentasC01Format">
          <DataField>Quantity_PSRLinGenericaVentasC01Format</DataField>
        </Field>
      </Fields>
    </DataSet>
  </DataSets>
  <ReportSections>
    <ReportSection>
      <Body>
        <Height>3.69792in</Height>
        <Style />
      </Body>
      <Width>4.91667in</Width>
      <Page>
        <Style />
      </Page>
    </ReportSection>
  </ReportSections>
  <ReportParametersLayout>
    <GridLayoutDefinition>
      <NumberOfColumns>4</NumberOfColumns>
      <NumberOfRows>2</NumberOfRows>
    </GridLayoutDefinition>
  </ReportParametersLayout>
  <Code>Public Function BlankZero(ByVal Value As Decimal)
    if Value = 0 then
        Return ""
    end if
    Return Value
End Function

Public Function BlankPos(ByVal Value As Decimal)
    if Value &gt; 0 then
        Return ""
    end if
    Return Value
End Function

Public Function BlankZeroAndPos(ByVal Value As Decimal)
    if Value &gt;= 0 then
        Return ""
    end if
    Return Value
End Function

Public Function BlankNeg(ByVal Value As Decimal)
    if Value &lt; 0 then
        Return ""
    end if
    Return Value
End Function

Public Function BlankNegAndZero(ByVal Value As Decimal)
    if Value &lt;= 0 then
        Return ""
    end if
    Return Value
End Function
</Code>
  <Language>=User!Language</Language>
  <ConsumeContainerWhitespace>true</ConsumeContainerWhitespace>
  <rd:ReportUnitType>Inch</rd:ReportUnitType>
  <rd:ReportID>0eeb6585-38ae-40f1-885b-8d50088d51b4</rd:ReportID>
</Report>